Page MenuHomePhabricator

Burnup rate report has too many tasks
Closed, DuplicatePublic

Description

Looking at the burnup chart for Beta-Cluster-Infrastructure https://phabricator.wikimedia.org/maniphest/report/burn/?project=PHID-PROJ-dthybs72vou24ydhgpbq it shows ~ 450 tasks open.

A search for open tasks shows https://phabricator.wikimedia.org/maniphest/query/lyzr8GgLP_cr/#R

There is a huge incremental bump on 2014-11-22 . Looks like some old/legacy closed tasks are still considered open. The same thing happens on other projects, eg Continuous-Integration-Config or Continuous-Integration-Infrastructure

Event Timeline

hashar created this task.May 4 2017, 11:08 AM

There is a huge incremental bump on 2014-10-22

We imported Bugzilla tickets on those days.

Looks like some old/legacy closed tasks are still considered open.

Pretty sure that is due to T107254: Closed tickets in Bugzilla migrated without closing event?. Should be a subtask of this one?

Aklapper edited subscribers, added: mmodell; removed: 20after4.May 4 2017, 11:14 AM
hashar added a comment.May 4 2017, 2:20 PM

Ah yeah that is a duplicate thank you andre!

Aklapper updated the task description. (Show Details)May 5 2017, 12:01 PM

I corrected the task description: Due to T164478 you see 2014-10-22 but it's actually 2014-11-22.